### Method

# Ide Debugger emit_breakpoint_modified

#### Declaration

    void
    ide_debugger_emit_breakpoint_modified (
      IdeDebugger* self,
      IdeDebuggerBreakpoint* breakpoint
    )

#### Description

Emits the `IdeDebugger::breakpoint-modified` signal.

Debugger implementations should call this when a breakpoint has changed in the underlying debugger.

Available since: | 3.32

#### Parameters

`breakpoint` | `IdeDebuggerBreakpoint`
| An `IdeDebuggerBreakpoint`.
| The data is owned by the caller of the function.